
def plot_random_data(x, y):
    import matplotlib.pyplot as plt
    import numpy as np
    
    # Generate a random figure
    plt.figure(figsize=(10, 6))
    
    # Generate a random color
    color = np.random.rand(3,)
    
    # Plot the data
    plt.plot(x, y, color=color, marker='o')
    
    # Add title and labels
    plt.title('Random Data Plot')
    plt.xlabel('X-axis')
    plt.ylabel('Y-axis')
    
    # Show the plot
    plt.show()



